Bug 1862859

Summary: Review Request: R-DT - R Wrapper of the JavaScript Library 'DataTables'
Product: [Fedora] Fedora Reporter: Elliott Sales de Andrade <quantum.analyst>
Component: Package ReviewAssignee: José Matos <jamatos>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: jamatos, package-review
Target Milestone: ---Flags: jamatos: fedora-review+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-08-17 01:07:49 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1862855    
Bug Blocks: 1823027, 1862862, 1862881    

Description Elliott Sales de Andrade 2020-08-03 04:24:03 UTC
Spec URL: https://qulogic.fedorapeople.org/reviews/R-DT/R-DT.spec
SRPM URL: https://qulogic.fedorapeople.org/reviews/R-DT/R-DT-0.14-1.fc31.src.rpm

Description:
Data objects in R can be rendered as HTML tables using the JavaScript library
'DataTables' (typically via R Markdown or Shiny). The 'DataTables' library has
been included in this R package. The package name 'DT' is an abbreviation of
'DataTables'.

Comment 1 José Matos 2020-08-05 17:21:44 UTC
OK. I lied in the previous review. :-)

fedora-review complains that:
- Package have the default element marked as %%doc :doc, DESCRIPTION
- Package requires R-core.

The first claim is bogus:

$ rpm -qpd 1862859-R-DT/results/R-DT-0.14-1.fc33.noarch.rpm 
/usr/share/R/library/DT/NEWS.Rd
/usr/share/R/library/DT/doc/DT.Rmd
/usr/share/R/library/DT/doc/DT.html
/usr/share/R/library/DT/doc/index.html
/usr/share/R/library/DT/html/00Index.html
/usr/share/R/library/DT/html/DT-imports.html
/usr/share/R/library/DT/html/R.css
/usr/share/R/library/DT/html/coerceValue.html
/usr/share/R/library/DT/html/dataTableAjax.html
/usr/share/R/library/DT/html/dataTableOutput.html
/usr/share/R/library/DT/html/datatable.html
/usr/share/R/library/DT/html/editData.html
/usr/share/R/library/DT/html/formatCurrency.html
/usr/share/R/library/DT/html/proxy.html
/usr/share/R/library/DT/html/replaceData.html
/usr/share/R/library/DT/html/styleInterval.html
/usr/share/R/library/DT/html/tableHeader.html

The second claim is wrong since this is an R package.

FWIW fedora-review also complains that this is not the most update package version, there is a new 0.15 version available at cran that was released two hours ago.
Don't you like when this happens? :-)

The license is correct and the spec is well written.

I trust you to update to the last version on import.
The package is approved.

Comment 2 Gwyn Ciesla 2020-08-06 12:32:15 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/R-DT

Comment 3 Fedora Update System 2020-08-08 23:58:31 UTC
FEDORA-2020-71e61ba627 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-71e61ba627

Comment 4 Fedora Update System 2020-08-09 00:01:59 UTC
FEDORA-2020-6c761ff866 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-6c761ff866

Comment 5 Fedora Update System 2020-08-09 03:01:43 UTC
FEDORA-2020-6c761ff866 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-6c761ff866 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-6c761ff866

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-08-09 03:47:44 UTC
FEDORA-2020-71e61ba627 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-71e61ba627 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-71e61ba627

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-08-17 01:07:49 UTC
FEDORA-2020-6c761ff866 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2020-08-17 01:13:40 UTC
FEDORA-2020-71e61ba627 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.